subcmd=$1
nccl_opt=$@

nccl_tool_usage() {
	echo -e "Usage: $0 \$SUBCMD [OPTION]"
	echo -e "SUBCMD as following,"
	echo -e "ibvtest\ttool to simulate nccl-usage of ibverbs library"
	echo -e "topo\ttool to get nccl topo, log will be output to /tmp/nccl-topo.log"
	echo -e "test\tdemo test case of pytorch allreduce operation"
}

case "$subcmd" in
	"ibvtest")
		nccl_opt=${nccl_opt:7}
		$NCCL_PATH/ibvtest $nccl_opt
		;;
	"topo")
		nccl_opt=${nccl_opt:4}
		$NCCL_PATH/nccl_topo
		;;
	"test")
		cd $NCCL_PATH
		nccl_opt=${nccl_opt:4}
		$NCCL_PATH/test_1.sh $nccl_opt
		cd -
		;;
	"help")
		nccl_tool_usage
		exit 0
		;;
	*)
		nccl_tool_usage
		exit 1
		;;
esac

