subcmd=$1
arch_opt=$@

arch_tool_usage() {
	echo -e "Usage: $0 \$SUBCMD [OPTION]"
	echo -e "SUBCMD as following,"
	echo -e "membw\ttest memory bandwidth of this server"
}

case "$subcmd" in
	"membw")
		lscpu | grep Intel
		if [ $? -ne 0 ];then
			echo "Warn: memory bandwidth test is only supported on Intel platform now."
			exit 1
		fi
		arch_opt=${arch_opt:5}
		$ARCH_PATH/mlc --bandwidth_matrix
		;;
	"help")
		arch_tool_usage
		exit 0
		;;
	*)
		arch_tool_usage
		exit 1
		;;
esac

